FLAIM: DB_STATS Struct Reference

- Main Page
- Modules
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# DB_STATS Struct Reference

Database statistics. More...

`#include <flaim.h>`

List of all members.

## Public Attributes
const char * | pszDbName
| Name of database these statistics are for.
FLMBOOL | bHaveStats
| Flag indicating whether or not there are statistics for this database.
RTRANS_STATS | ReadTransStats
| Read transaction statistics for the database.
UTRANS_STATS | UpdateTransStats
| Update transaction statistics for the database.
FLMUINT64 | ui64NumCursors
| Number of times a query object was created for this database. This is the number of times FlmCursorInit() was called.
FLMUINT64 | ui64NumCursorReads
| Number of query operations that have been performed on this database. This includes counts for FlmCursorFirst(), FlmCursorLast(), FlmCursorNext(), FlmCursorPrev(), and FlmCursorCurrent().
F_COUNT_TIME_STAT | RecordAdds
| Number of record add operations (FlmRecordAdd()) that have been performed on this database.
F_COUNT_TIME_STAT | RecordDeletes
| Number of record delete operations (FlmRecordDelete()) that have been performed on this database.
F_COUNT_TIME_STAT | RecordModifies
| Number of record modify operations (FlmRecordModify()) that have been performed on this database.
FLMUINT64 | ui64NumRecordReads
| Number of record read operations (FlmRecordRetrieve()) that have been performed on this database.
FLMUINT | uiLFileAllocSeq
| Allocation sequence number for pLFileStats array - used internally.
LFILE_STATS * | pLFileStats
| Logical file statistics for this database.
FLMUINT | uiLFileStatArraySize
| Number of logical files in the pLFileStats array - used internally.
FLMUINT | uiNumLFileStats
| Number of elements in the pLFileStats array currently in use.
DISKIO_STAT | LogHdrWrites
| Statistics for writes to the database's log header.
DISKIO_STAT | LogBlockWrites
| Statistics for writes of blocks to the rollback log.
DISKIO_STAT | LogBlockRestores
| Statistics for writing of blocks from the rollback log back into data files (done during database recovery or when aborting a transaction).
DISKIO_STAT | LogBlockReads
| Statistics on reading blocks from the rollback log.
FLMUINT | uiLogBlockChkErrs
| Number of times we had checksum errors reading blocks from the rollback log.
FLMUINT | uiReadErrors
| Number of times we got read errors.
FLMUINT | uiWriteErrors
| Number of times we got write errors.
F_LOCK_STATS | LockStats
| Database lock statistics.

## Detailed Description

Database statistics.